### Property

# Clutter Timeline:duration

#### Declaration

    property duration: guint [ read, write ]

#### Description [src]

Duration of the timeline in milliseconds, depending on the `ClutterTimeline:frame-clock` value.

Type:`guint`

Default value | 1000
Getter method | `clutter_timeline_get_duration()`
Setter method | `clutter_timeline_set_duration()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no